package protocol

type Data struct {
	Temperature float32 `json:"temperature"` // 温度
	Humidly     float32 `json:"humidly"`     // 湿度
}

type OffsetData struct {
	TemOffset      int     `json:"tem_offset"`       // 温度使能校准 1 开 2 关闭
	TemOffsetValue float32 `json:"tem_offset_value"` // 温度校准值
	HumOffset      int     `json:"hum_offset"`       // 湿度使能校准 1 开 2 关
	HumOffsetValue float32 `json:"hum_offset_value"` // 湿度校准值
}

type SetOffSetParams struct {
	Act   int     `json:"act"`   // 操作类型：(1:使能温度校准2:关闭温度校准 3:使能湿度校准 4:关闭湿度校准）
	Value float32 `json:"value"` // 偏移值
}
