package config

import (
	"sparrow-sdk/logger"
	"sparrow-sdk/protocal"
)

type Config struct {
	SparrowServer string            // sparrow平台的http access服务的地址
	ProductKey    string            // 平台分配的产品key
	Protocol      protocal.Protocol // 协议名称
	DeviceCode    string            // 设备唯一识别码
	Version       string            // 网关的版本号
	Debug         bool              //是否显示调试信息
	Logger        logger.Interface  // 日志组件
	UseTls        bool              // 是否通过ssl接入平台，如果启用，要配置CaFile 和kKeyFile两个参数
	CaFile        string            //public ca pem file
	KeyFile       string            // private key pem file
}
